MoveCollectionsOperations Class
MoveCollectionsOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectMoveCollectionsOperations
Constructor
MoveCollectionsOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| begin_commit |
Commits the set of resources included in the request body. The commit operation is triggered on the moveResources in the moveState 'CommitPending' or 'CommitFailed', on a successful completion the moveResource moveState do a transition to Committed. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true. param resource_group_name: The Resource Group Name. type resource_group_name: str param move_collection_name: The Move Collection Name. type move_collection_name: str param body: type body: ~region_move_service_api.models.CommitRequest keyword callable cls: A custom type or function that will be passed the direct response keyword str continuation_token: A continuation token to restart a poller from a saved state. keyword polling: True for ARMPolling, False for no polling, or a polling object for personal polling strategy paramtype polling: bool or ~azure.core.polling.PollingMethod keyword int polling_interval: Default waiting time between two polls for LRO operations if no Retry-After header is present. return: An instance of LROPoller that returns either OperationStatus or the result of cls(response) rtype: ~azure.core.polling.LROPoller[~region_move_service_api.models.OperationStatus] raises ~azure.core.exceptions.HttpResponseError: |
| begin_delete |
Deletes a move collection. |
| begin_discard |
Discards the set of resources included in the request body. The discard operation is triggered on the moveResources in the moveState 'CommitPending' or 'DiscardFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true. param resource_group_name: The Resource Group Name. type resource_group_name: str param move_collection_name: The Move Collection Name. type move_collection_name: str param body: type body: ~region_move_service_api.models.DiscardRequest keyword callable cls: A custom type or function that will be passed the direct response keyword str continuation_token: A continuation token to restart a poller from a saved state. keyword polling: True for ARMPolling, False for no polling, or a polling object for personal polling strategy paramtype polling: bool or ~azure.core.polling.PollingMethod keyword int polling_interval: Default waiting time between two polls for LRO operations if no Retry-After header is present. return: An instance of LROPoller that returns either OperationStatus or the result of cls(response) rtype: ~azure.core.polling.LROPoller[~region_move_service_api.models.OperationStatus] raises ~azure.core.exceptions.HttpResponseError: |
| begin_initiate_move |
Moves the set of resources included in the request body. The move operation is triggered after the moveResources are in the moveState 'MovePending' or 'MoveFailed', on a successful completion the moveResource moveState do a transition to CommitPending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true. param resource_group_name: The Resource Group Name. type resource_group_name: str param move_collection_name: The Move Collection Name. type move_collection_name: str param body: type body: ~region_move_service_api.models.ResourceMoveRequest keyword callable cls: A custom type or function that will be passed the direct response keyword str continuation_token: A continuation token to restart a poller from a saved state. keyword polling: True for ARMPolling, False for no polling, or a polling object for personal polling strategy paramtype polling: bool or ~azure.core.polling.PollingMethod keyword int polling_interval: Default waiting time between two polls for LRO operations if no Retry-After header is present. return: An instance of LROPoller that returns either OperationStatus or the result of cls(response) rtype: ~azure.core.polling.LROPoller[~region_move_service_api.models.OperationStatus] raises ~azure.core.exceptions.HttpResponseError: |
| begin_prepare |
Initiates prepare for the set of resources included in the request body. The prepare operation is on the moveResources that are in the moveState 'PreparePending' or 'PrepareFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true. param resource_group_name: The Resource Group Name. type resource_group_name: str param move_collection_name: The Move Collection Name. type move_collection_name: str param body: type body: ~region_move_service_api.models.PrepareRequest keyword callable cls: A custom type or function that will be passed the direct response keyword str continuation_token: A continuation token to restart a poller from a saved state. keyword polling: True for ARMPolling, False for no polling, or a polling object for personal polling strategy paramtype polling: bool or ~azure.core.polling.PollingMethod keyword int polling_interval: Default waiting time between two polls for LRO operations if no Retry-After header is present. return: An instance of LROPoller that returns either OperationStatus or the result of cls(response) rtype: ~azure.core.polling.LROPoller[~region_move_service_api.models.OperationStatus] raises ~azure.core.exceptions.HttpResponseError: |
| begin_resolve_dependencies |
Computes, resolves and validate the dependencies of the moveResources in the move collection. |
| create |
Creates or updates a move collection. |
| get |
Gets the move collection. |
| list_move_collections_by_resource_group |
Get all Move Collections. Get all the Move Collections in the resource group. |
| list_move_collections_by_subscription |
Get all Move Collections. Get all the Move Collections in the subscription. |
| update |
Updates a move collection. |
begin_commit
Commits the set of resources included in the request body. The commit operation is triggered on the moveResources in the moveState 'CommitPending' or 'CommitFailed', on a successful completion the moveResource moveState do a transition to Committed. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.
param resource_group_name: The Resource Group Name.
type resource_group_name: str
param move_collection_name: The Move Collection Name.
type move_collection_name: str
param body: type body: ~region_move_service_api.models.CommitRequest
keyword callable cls: A custom type or function that will be passed the direct response
keyword str continuation_token: A continuation token to restart a poller from a saved state.
keyword polling: True for ARMPolling, False for no polling, or a polling object for personal polling strategy
paramtype polling: bool or ~azure.core.polling.PollingMethod
keyword int polling_interval: Default waiting time between two polls for LRO operations if no Retry-After header is present.
return: An instance of LROPoller that returns either OperationStatus or the result of cls(response)
rtype: ~azure.core.polling.LROPoller[~region_move_service_api.models.OperationStatus]
raises ~azure.core.exceptions.HttpResponseError:
begin_commit(resource_group_name: str, move_collection_name: str, body: Optional[models.CommitRequest] = None, **kwargs: Any) -> LROPoller[models.OperationStatus]
Parameters
- resource_group_name
- move_collection_name
- body
begin_delete
Deletes a move collection.
begin_delete(resource_group_name: str, move_collection_name: str, **kwargs: Any) -> LROPoller[models.OperationStatus]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either OperationStatus or the result of cls(response)
Return type
Exceptions
begin_discard
Discards the set of resources included in the request body. The discard operation is triggered on the moveResources in the moveState 'CommitPending' or 'DiscardFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.
param resource_group_name: The Resource Group Name.
type resource_group_name: str
param move_collection_name: The Move Collection Name.
type move_collection_name: str
param body: type body: ~region_move_service_api.models.DiscardRequest
keyword callable cls: A custom type or function that will be passed the direct response
keyword str continuation_token: A continuation token to restart a poller from a saved state.
keyword polling: True for ARMPolling, False for no polling, or a polling object for personal polling strategy
paramtype polling: bool or ~azure.core.polling.PollingMethod
keyword int polling_interval: Default waiting time between two polls for LRO operations if no Retry-After header is present.
return: An instance of LROPoller that returns either OperationStatus or the result of cls(response)
rtype: ~azure.core.polling.LROPoller[~region_move_service_api.models.OperationStatus]
raises ~azure.core.exceptions.HttpResponseError:
begin_discard(resource_group_name: str, move_collection_name: str, body: Optional[models.DiscardRequest] = None, **kwargs: Any) -> LROPoller[models.OperationStatus]
Parameters
- resource_group_name
- move_collection_name
- body
begin_initiate_move
Moves the set of resources included in the request body. The move operation is triggered after the moveResources are in the moveState 'MovePending' or 'MoveFailed', on a successful completion the moveResource moveState do a transition to CommitPending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.
param resource_group_name: The Resource Group Name.
type resource_group_name: str
param move_collection_name: The Move Collection Name.
type move_collection_name: str
param body: type body: ~region_move_service_api.models.ResourceMoveRequest
keyword callable cls: A custom type or function that will be passed the direct response
keyword str continuation_token: A continuation token to restart a poller from a saved state.
keyword polling: True for ARMPolling, False for no polling, or a polling object for personal polling strategy
paramtype polling: bool or ~azure.core.polling.PollingMethod
keyword int polling_interval: Default waiting time between two polls for LRO operations if no Retry-After header is present.
return: An instance of LROPoller that returns either OperationStatus or the result of cls(response)
rtype: ~azure.core.polling.LROPoller[~region_move_service_api.models.OperationStatus]
raises ~azure.core.exceptions.HttpResponseError:
begin_initiate_move(resource_group_name: str, move_collection_name: str, body: Optional[models.ResourceMoveRequest] = None, **kwargs: Any) -> LROPoller[models.OperationStatus]
Parameters
- resource_group_name
- move_collection_name
- body
begin_prepare
Initiates prepare for the set of resources included in the request body. The prepare operation is on the moveResources that are in the moveState 'PreparePending' or 'PrepareFailed', on a successful completion the moveResource moveState do a transition to MovePending. To aid the user to prerequisite the operation the client can call operation with validateOnly property set to true.
param resource_group_name: The Resource Group Name.
type resource_group_name: str
param move_collection_name: The Move Collection Name.
type move_collection_name: str
param body: type body: ~region_move_service_api.models.PrepareRequest
keyword callable cls: A custom type or function that will be passed the direct response
keyword str continuation_token: A continuation token to restart a poller from a saved state.
keyword polling: True for ARMPolling, False for no polling, or a polling object for personal polling strategy
paramtype polling: bool or ~azure.core.polling.PollingMethod
keyword int polling_interval: Default waiting time between two polls for LRO operations if no Retry-After header is present.
return: An instance of LROPoller that returns either OperationStatus or the result of cls(response)
rtype: ~azure.core.polling.LROPoller[~region_move_service_api.models.OperationStatus]
raises ~azure.core.exceptions.HttpResponseError:
begin_prepare(resource_group_name: str, move_collection_name: str, body: Optional[models.PrepareRequest] = None, **kwargs: Any) -> LROPoller[models.OperationStatus]
Parameters
- resource_group_name
- move_collection_name
- body
begin_resolve_dependencies
Computes, resolves and validate the dependencies of the moveResources in the move collection.
begin_resolve_dependencies(resource_group_name: str, move_collection_name: str, **kwargs: Any) -> LROPoller[models.OperationStatus]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
- continuation_token
- str
A continuation token to restart a poller from a saved state.
- polling
- bool or PollingMethod
True for ARMPolling, False for no polling, or a polling object for personal polling strategy
- polling_interval
- int
Default waiting time between two polls for LRO operations if no Retry-After header is present.
Returns
An instance of LROPoller that returns either OperationStatus or the result of cls(response)
Return type
Exceptions
create
Creates or updates a move collection.
create(resource_group_name: str, move_collection_name: str, body: Optional[models.MoveCollection] = None, **kwargs: Any) -> models.MoveCollection
Parameters
- body
- <xref:region_move_service_api.models.MoveCollection>
- cls
- callable
A custom type or function that will be passed the direct response
Returns
MoveCollection, or the result of cls(response)
Return type
Exceptions
get
Gets the move collection.
get(resource_group_name: str, move_collection_name: str, **kwargs: Any) -> models.MoveCollection
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
MoveCollection, or the result of cls(response)
Return type
Exceptions
list_move_collections_by_resource_group
Get all Move Collections.
Get all the Move Collections in the resource group.
list_move_collections_by_resource_group(resource_group_name: str, **kwargs: Any) -> Iterable[models.MoveCollectionResultList]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either MoveCollectionResultList or the result of cls(response)
Return type
Exceptions
list_move_collections_by_subscription
Get all Move Collections.
Get all the Move Collections in the subscription.
list_move_collections_by_subscription(**kwargs: Any) -> Iterable[models.MoveCollectionResultList]
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either MoveCollectionResultList or the result of cls(response)
Return type
Exceptions
update
Updates a move collection.
update(resource_group_name: str, move_collection_name: str, body: Optional[models.UpdateMoveCollectionRequest] = None, **kwargs: Any) -> models.MoveCollection
Parameters
- body
- <xref:region_move_service_api.models.UpdateMoveCollectionRequest>
- cls
- callable
A custom type or function that will be passed the direct response
Returns
MoveCollection, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.regionmove.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\regionmove\\models\\__init__.py'>
Feedback
Submit and view feedback for